ru.bitel.bgbilling.modules.rscm.server.event

## Class RSCMContractServiceUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.rscm.server.event.RSCMContractServiceUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RSCMContractServiceUpdateEvent
      extends QueueEvent

  Асинхронное событие - изменения/добавления услуги RSCM в договор.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RSCMContractServiceUpdateEvent()`
    `` | `RSCMContractServiceUpdateEvent(int userId, int moduleId, int contractId, RSCMContractService contractService)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSCMContractService` | `getContractService()` Возвращает изменяемую/добавляемую услугу.
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RSCMContractServiceUpdateEvent

          protected RSCMContractServiceUpdateEvent()

    - #### RSCMContractServiceUpdateEvent

          public RSCMContractServiceUpdateEvent(int userId,
                                                int moduleId,
                                                int contractId,
                                                RSCMContractService contractService)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `contractId` - - код договора
        `contractService` - - услуга rscm модуля

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getContractService

          public RSCMContractService getContractService()

      Возвращает изменяемую/добавляемую услугу.
      Returns:
        contractService - услуга